Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class Errors

    java.lang.Object
      org.jasig.portal.Errors

    public class Errors

extends java.lang.Object

Contains common ErrorIDs.

Version:
  $Revision: 1.3 $
Author:
  Howard Gilbert

Field Summary
`static ErrorID` | `badarg`
`static ErrorID` | `badrequest`
`static ErrorID` | `badstate`
`static ErrorID` | `browserGone`
`static ErrorID` | `bug`
`static ErrorID` | `connectDB`
`static ErrorID` | `execDB`
`static ErrorID` | `inconsistency`
`static ErrorID` | `legacy`
`static ErrorID` | `missingdata`
`static ErrorID` | `newInstance`
`static ErrorID` | `noProperty`
`static ErrorID` | `noPropertyFile`
`static ErrorID` | `noResourceFile`
`static ErrorID` | `noTemplateInfo`
`static ErrorID` | `noUserInfo`
`static ErrorID` | `persistin`
`static ErrorID` | `persistout`
`static ErrorID` | `propInit`
`static ErrorID` | `remote`
`static ErrorID` | `startServices`
`static ErrorID` | `XMLparse`

Constructor Summary
`Errors()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noResourceFile

    public static final ErrorID noResourceFile

### noPropertyFile

    public static final ErrorID noPropertyFile

### noProperty

    public static final ErrorID noProperty

### propInit

    public static final ErrorID propInit

### startServices

    public static final ErrorID startServices

### connectDB

    public static final ErrorID connectDB

### execDB

    public static final ErrorID execDB

### noUserInfo

    public static final ErrorID noUserInfo

### noTemplateInfo

    public static final ErrorID noTemplateInfo

### bug

    public static final ErrorID bug

### badarg

    public static final ErrorID badarg

### badstate

    public static final ErrorID badstate

### missingdata

    public static final ErrorID missingdata

### inconsistency

    public static final ErrorID inconsistency

### badrequest

    public static final ErrorID badrequest

### newInstance

    public static final ErrorID newInstance

### browserGone

    public static final ErrorID browserGone

### persistout

    public static final ErrorID persistout

### persistin

    public static final ErrorID persistin

### remote

    public static final ErrorID remote

### XMLparse

    public static final ErrorID XMLparse

### legacy

    public static final ErrorID legacy

Constructor Detail

### Errors

    public Errors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD